Subject: bug#19989: 25.0.50; Build instructions on Windows

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 Mar 2015 19:00:09 +0200

> Date: Tue, 3 Mar 2015 08:34:53 -0800
> From: Ilya Zakharevich <[email-masked]>
> 
> =======================================================
> 
> I needed the following changes to build Emacs (when following the
> instructions in nt/INSTALL):
>   • mingw-get:
> 	actually, mingw32-base is not installed by default;
>         I needed to install it by manually marking it in mingw-get.
>   • mingw shell sets path to (essentially) FOO/msys/1.0/mingw/bin (here FOO
>         is the install path), but there is no directory
>           FOO/msys/1.0/mingw
>         what is is
>           FOO/bin
>     So I needed to make a symbolic link (Windows style required) by
>     running
>         mklink /j mingw FOO
>     in FOO/msys/1.0

Thanks.

I suggest to post this to the MinGW mailing list
<[email-masked]> first, as what you describe sounds
like MinGW issues not directly related to building Emacs.  If they say
that this is "as designed", then we will see about adding something to
nt/INSTALL to work around this.

FWIW, the 2nd issue sounds to me like an installation mistake of some
kind (did you install MinGW inside the MSYS tree, by chance?).  But
I'm not an expert; all I know is that on my system, the MSYS Bash
window has PATH set to whatever my system-wide PATH is, with these
directories prepended:

  .:/usr/local/bin:/mingw/bin:/bin:

IOW, no msys/1.0/mingw/ anywhere in sight.